var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { customElement, css, property } from '../../../../external/lit/index.js';
import { UmbElementMixin } from '../../../../libs/element-api/index.js';
import { UUIRefNodeElement } from '../../../../external/uui/index.js';
let UmbRefItemElement = class UmbRefItemElement extends UmbElementMixin(UUIRefNodeElement) {
    constructor() {
        super(...arguments);
        this.icon = '';
        this.#iconElement = document.createElement('umb-icon');
    }
    #iconElement;
    firstUpdated(_changedProperties) {
        super.firstUpdated(_changedProperties);
        if (this.icon) {
            // Temporary fix for the icon appending, this could in the future be changed to override a renderIcon method, or other ways to make this happen without appending children.
            this.#iconElement.setAttribute('slot', 'icon');
            this.#iconElement.setAttribute('name', this.icon);
            this.appendChild(this.#iconElement);
        }
    }
    static { this.styles = [
        ...UUIRefNodeElement.styles,
        css `
			:host {
				padding-top: var(--uui-size-3);
				padding-bottom: var(--uui-size-3);
			}
		`,
    ]; }
};
__decorate([
    property({ type: String })
], UmbRefItemElement.prototype, "icon", void 0);
UmbRefItemElement = __decorate([
    customElement('umb-ref-item')
], UmbRefItemElement);
export { UmbRefItemElement };
